Package net.sf.saxon

## Class Gizmo

- java.lang.Object
- - net.sf.saxon.Gizmo

-     public class Gizmo
      extends java.lang.Object

  A Gizmo is a simple tool for performing a particular easily specified transformation on an XML document, for example deleting or renaming all the elements with a particular name. The class offers a command-line interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Gizmo()` | Diagnostic interface
    `Gizmo​(java.lang.String[] args)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `executeTestCommand​(java.lang.String command)` | Execute a test command
    `Configuration` | `getConfiguration()` |
    `DocumentImpl` | `getCurrentDoc()` | Get the current document (for testing purposes)
    `protected Talker` | `initTalker​(java.lang.String script)` |
    `static void` | `main​(java.lang.String[] args)` |
    `void` | `setCurrentDoc​(DocumentImpl doc)` | Set the current document (for testing purposes)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Gizmo

          public Gizmo​(java.lang.String[] args)

    - #### Gizmo

          public Gizmo()

      Diagnostic interface

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] args)

    - #### getConfiguration

          public Configuration getConfiguration()

    - #### setCurrentDoc

          public void setCurrentDoc​(DocumentImpl doc)

      Set the current document (for testing purposes)
      Parameters:
        `doc` - the current document

    - #### getCurrentDoc

          public DocumentImpl getCurrentDoc()

      Get the current document (for testing purposes)
      Returns:
        the current document

    - #### executeTestCommand

          public java.lang.String executeTestCommand​(java.lang.String command)
                                              throws XPathException

      Execute a test command
      Parameters:
        `command` - the command to be executed
      Returns:
        the output of the command, if any
      Throws:
        `XPathException` - if the command execution fails

    - #### initTalker

          protected Talker initTalker​(java.lang.String script)